// @import '../../assets/styles/styles.scss';
.header{
    width:100%;
    z-index: 3;
    box-shadow: 0 10px 30px 0 rgba(155, 176, 196, 0.3);
    .top-site{
        background: #fff;
        .first-row{
            display:flex;
            justify-content: space-between;
            align-items: center;
            height: 99px;
            max-width: 1200px;
            padding: 0 20px;
            margin: 0 auto;
            
        }
        .address{
            font-weight: 500;
            line-height: 20px;
            padding-left: 41px;
            background: transparent url('/wp-content/themes/BKS/src/assets/svg/icon-map.svg') no-repeat left 5px;
            color: #666666;
            text-decoration: none;
            @media(max-width:1080px){
                order: 2
            }
            @media(max-width:768px){
                span{
                    display:none;
                }
                height: 41px;
                padding-left: 26px;
            }
        }
        .phone{
            font-weight: 900;
            font-size: 16px;
            line-height: 30px;
            padding-left: 40px;
            background: transparent url('/wp-content/themes/BKS/src/assets/svg/icon-phone.svg') no-repeat left 3px;
            background-size: 23px 24px;
            text-decoration: none;
            color:#000;
            @media(max-width:1080px){
                order: 3
            }
            @media(max-width:768px){
                span{
                    display:none;
                }
                height: 41px;
                padding-left: 23px;
            }

            
        }
        .mobile-menu{
            font-weight: 900;
            font-size: 16px;
            line-height: 30px;
            padding-left: 24px;
            background: transparent url('/wp-content/themes/BKS/src/assets/svg/burger.svg') no-repeat left 0;
            background-size: 23px 24px;
            text-decoration: none;
            color:#000;
            display:none;
            width: 24px;
            height: 25px;
            @media(max-width:1080px){
                order: 1;
                display:block;
            }
            
        }
        .logo{
            @media(max-width:1080px){
                order: 1;
                min-width: calc(100% - 450px;)
            }
            @media(max-width:768px){
                order: 1;
                min-width: calc(100% - 120px;)
            }
            &-img{
                @media(max-width:768px){
                    height: 48px
                }
                @media(max-width:375px){
                    height: 36px
                }
            }
           
        }
    }
    .site-navigation{
        position: relative;
        width:100%;
        left: 0;
        background: #fff;
    }
    .menu{
        max-width: 1200px;
        padding: 0 20px;
        margin: 0 auto;
        display:flex;
        justify-content: space-between;
        align-items: center;
        height: 91px;
        position:relative;
        
        @media(max-width:1080px){
            display:none;
            height: auto;
            max-height: calc(100vh - 99px);
            overflow-y: scroll;
            padding: 0;
            position: absolute;
            z-index: 3;
            box-shadow: 0 10px 30px 0 rgba(155, 176, 196, 1);
        }
        &.active{
            @media(max-width:1080px){
                display:block;
            }
        }
        
        &::before{
            content:'';
            min-width: calc(100% - 40px);
            height: 1px; 
            background: #edf1f7;
            position: absolute;
            top: 0;
        }
        &-item{
            
            font-size: 13px; 
            font-weight: 500;
            height: 50px;
            position:relative;
            @media(max-width: 1080px){
                height: auto;
                border-top: 1px solid #edf1f7;
            }
            &:first-child{
                margin-left:-17px;
                @media(max-width: 1080px){
                    margin-left:0;
                }
            }
            &:hover{
                z-index:1;
                &:after{
                    content: '';
                    width: 100%;
                    height: 2px;
                    display:block;
                    background: #00b955;
                    margin-top: -2px;
                    z-index: 2;
                    position: relative;
                    border-radius: 2px 2px 0 0;
                    @media(max-width: 1080px){
                        display:none;
                    }
                }
                .menu-itemlink{
                    z-index:2
                }
                .submenu{display: block}
            }
        }
        &-itemlink{
            background: #fff;
            color: #073250;
            display:flex;
            justify-content: flex-start;
            padding: 12px 17px;
            border-radius: 2px;
            text-decoration: none;
            align-items: center;
            position: relative;
            height: 50px;
            @media(max-width:1080px){
                height: auto;
                border-radius: 0px;
            }
            &.lk{
                background: #00b955;
                color: #fff;
                text-transform: uppercase;
                &:hover{
                    background: #6be039;
                    color: #fff;
                }
                &:active{
                    background: #029b48;
                    color: #fff;
                }
                .menu-icon{
                    width: 17px;
                }
            }
            .menu-icon{
                max-width: 24px;
                max-height: 24px;
                width: auto;
                height: auto;
                margin-right: 13px;
            }
            
            &:hover, {
                color: #00b955;
                z-index: 2;
                
                
            }
            &.router-link-active{
                color: #9bb4c4;
                .menu-icon{
                    filter: grayscale(1)
                }
            }
                     
        }
        &-title{
            line-height: 1;
            display:block
        }
        
    }
    &.homepage{
        box-shadow: none;
        margin-bottom: -100px;
        z-index: 1;
        position:relative;
        .site-navigation{
            background: transparent;
        }
        .menu::before{
            background: transparent
        }
    }
}
.submenu{
    position: absolute;
    top: 51px;
    left: 0;
    background: #fff;
    box-shadow: 0 10px 30px 0 rgba(155, 176, 196, 0.3);
    display: none;
    border-radius: 0 2px 2px 2px;
    overflow: hidden;
    @media(max-width:1080px){
        display:block;
        position: relative;
        top: 0;
        box-shadow: none;
        border-radius: 0 0 0 0;
    }
    &-item{
        display: block;
        border-bottom: 1px solid #edf1f7;
        padding: 14px 20px 12px;
        width: 270px;
        color: #073250;
        text-decoration: none;
        @media(max-width:1080px){
           height: auto;
           margin-left: 35px;
           border-left: 1px solid #00b955;
        }
        &:hover{
            color: #00b955;
        }
        &.router-link-active{
            color: #9bb4c4;
        }
        &:last-child{
            border-bottom: none;
        }

    }
    
}